Broken DNF in FC27 - cannot upgrade
FedoraForum.org - Fedora Support Forums and Community
Results 1 to 3 of 3
  1. #1
    Join Date
    Sep 2017
    Location
    Australia
    Posts
    3
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Broken DNF in FC27 - cannot upgrade

    I'm running Fedora 27 and I'm looking to upgrade to a newer version, however I am having problems with dnf.

    Code:
    $ dnf upgrade
    Traceback (most recent call last):
      File "/bin/dnf", line 58, in <module>
        main.user_main(sys.argv[1:], exit_code=True)
      File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 179, in user_main
        errcode = main(args)
      File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 64, in main
        return _main(base, args, cli_class, option_parser_class)
      File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 99, in _main
        return cli_run(cli, base)
      File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 115, in cli_run
        cli.run()
      File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 1013, in run
        self._process_demands()
      File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 766, in _process_demands
        load_available_repos=self.demands.available_repos)
      File "/usr/lib/python3.6/site-packages/dnf/base.py", line 353, in fill_sack
        self._add_repo_to_sack(r)
      File "/usr/lib/python3.6/site-packages/dnf/base.py", line 122, in _add_repo_to_sack
        hrepo.filelists_fn = repo._filelists_fn
    TypeError: Expected a string or a unicode object
    Code:
    $ rpm -q dnf python3-dnf python3 python3-rpm
    dnf-2.7.5-2.fc27.noarch
    python3-dnf-2.7.5-2.fc27.noarch
    python3-3.6.6-1.fc27.x86_64
    python3-rpm-4.14.2.1-1.fc27.x86_64
    I am unsure why this has occurred, or when. I have tried reinstalling the rpm from koji: https://koji.fedoraproject.org/koji/...uildID=1006088 unfortunately it didn't resolve the issue.

    I don't know what else to try, does anyone have a suggestion?

  2. #2
    Join Date
    Jun 2019
    Location
    New Windsor, MD
    Age
    46
    Posts
    10
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: Broken DNF in FC27 - cannot upgrade

    Are you running Plex? I ran into this earlier this week and it was driving me mad.

    https://forums.plex.tv/t/plex-repo-b...updates/405042

    Long in short summary, disable the PlexRepo, and it should update.

    dnf config-manager --set-disabled PlexRepo

  3. #3
    Join Date
    Sep 2017
    Location
    Australia
    Posts
    3
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: Broken DNF in FC27 - cannot upgrade

    Quote Originally Posted by tamorgen
    Are you running Plex? I ran into this earlier this week and it was driving me mad.

    https://forums.plex.tv/t/plex-repo-b...updates/405042

    Long in short summary, disable the PlexRepo, and it should update.

    dnf config-manager --set-disabled PlexRepo
    Yeah dude, this was exactly the problem! You are spot on. I actually figured it out when I asked on this forum thanks to a user there. See:
    https://ask.fedoraproject.org/t/fedo...t-upgrade/1463

Similar Threads

  1. upgrade from FC19 -> FC27, question
    By bobx001 in forum Servers & Networking
    Replies: 0
    Last Post: 23rd March 2018, 11:26 AM
  2. open-vpn service not working any more after upgrade fc26->fc27
    By saeru in forum Installation, Upgrades and Live Media
    Replies: 4
    Last Post: 8th February 2018, 03:55 PM
  3. [SOLVED]
    FC27 , my bad, can't "upgrade" anymore.
    By bobx001 in forum Using Fedora
    Replies: 10
    Last Post: 23rd December 2017, 04:20 PM
  4. Kernel panic after upgrade to kernel-4.14.3-300.fc27.x86_64
    By robvl66 in forum Installation, Upgrades and Live Media
    Replies: 5
    Last Post: 13th December 2017, 05:03 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •